;
; IJPLM Installer setting file
;

[VERSION]
SIGNATURE="$Windows NT$"
CLASS=dummy
DriverVer=07/02/2010, 3.2

[INSTALL]
CopyFiles=FILES,UNINSTALLER,RES,MESSAGE,LIB,SMEX
AddReg=Reg,RegLib
EXEC=FILES,IJPLMSVC.EXE -INSTALL

[UNINSTALL]
DelFiles=FILES,UNINSTALLER,RES,MESSAGE,LIB,SMEX
DelReg=Reg,RegLib
EXEC=FILES,IJPLMSVC.EXE -REMOVE

[PREINSTALL]
CopyFiles=LIB
AddReg=RegLib

[FILES]
ijplmsvc.exe,,,0x00010000
ijplmui.exe,,,0x00010000
ijplmcom.dll,,,0x00010000

[UNINSTALLER]
setup.exe,,,0x00010000
setup.ini,,,0x00010000

[LIB]
IJPLMLIB.DLL,,,0x00010000
IJPLML64.DLL,,,0x00010000

[RES]

[MESSAGE]
English\message.ini,,,0x00010000
Japanese\message.ini,,,0x00010000
Arabic\message.ini,,,0x00010000
Czech\message.ini,,,0x00010000
Danish\message.ini,,,0x00010000
Dutch\message.ini,,,0x00010000
Finnish\message.ini,,,0x00010000
French\message.ini,,,0x00010000
German\message.ini,,,0x00010000
Greek\message.ini,,,0x00010000
Hungarian\message.ini,,,0x00010000
Italian\message.ini,,,0x00010000
Korean\message.ini,,,0x00010000
Norwegian\message.ini,,,0x00010000
Polish\message.ini,,,0x00010000
Portuguese\message.ini,,,0x00010000
Russian\message.ini,,,0x00010000
Simplified_Chinese\message.ini,,,0x00010000
Spanish\message.ini,,,0x00010000
Swedish\message.ini,,,0x00010000
Thai\message.ini,,,0x00010000
Traditional_Chinese\message.ini,,,0x00010000
Turkish\message.ini,,,0x00010000
Indonesian\message.ini,,,0x00010000

[SMEX]
EXSP.xml,,,0x00010000

[SourceDisksNames]
1=%TITLE%,,

[SourceDisksFiles]
ijplmsvc.exe=1
ijplmui.exe=1
ijplmcom.dll=1
setup.exe=1
setup.ini=1
English\message.ini=1,RES\MESSAGE
Japanese\message.ini=1,RES\MESSAGE
Arabic\message.ini=1,RES\MESSAGE
Czech\message.ini=1,RES\MESSAGE
Danish\message.ini=1,RES\MESSAGE
Dutch\message.ini=1,RES\MESSAGE
Finnish\message.ini=1,RES\MESSAGE
French\message.ini=1,RES\MESSAGE
German\message.ini=1,RES\MESSAGE
Greek\message.ini=1,RES\MESSAGE
Hungarian\message.ini=1,RES\MESSAGE
Italian\message.ini=1,RES\MESSAGE
Korean\message.ini=1,RES\MESSAGE
Norwegian\message.ini=1,RES\MESSAGE
Polish\message.ini=1,RES\MESSAGE
Portuguese\message.ini=1,RES\MESSAGE
Russian\message.ini=1,RES\MESSAGE
Simplified_Chinese\message.ini=1,RES\MESSAGE
Spanish\message.ini=1,RES\MESSAGE
Swedish\message.ini=1,RES\MESSAGE
Thai\message.ini=1,RES\MESSAGE
Traditional_Chinese\message.ini=1,RES\MESSAGE
Turkish\message.ini=1,RES\MESSAGE
Indonesian\message.ini=1,RES\MESSAGE
ijplmlib.dll=1
ijplml64.dll=1
EXSP.xml=1

[DestinationDirs]
FILES=16422,Canon\IJPLM
UNINSTALLER=16422,Canon\IJPLM
RES=16422,Canon\IJPLM\RES
MESSAGE=16422,Canon\IJPLM\RES\MESSAGE
LIB=16422,Canon\IJPLM
SMEX=16422,Canon\Solution Menu EX\AppInfo\Xml

[Strings]
TITLE=Inkjet Printer/Scanner/Fax Extended Survey Program

[Reg]
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\CANONIJPLM100,UninstallString,0x00000000,%16422%\Canon\IJPLM\SETUP.EXE -R
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\CANONIJPLM100,ModifyPath,0x00000000,%16422%\Canon\IJPLM\SETUP.EXE -C
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\CANONIJPLM100,DisplayIcon,0x00000000,%16422%\Canon\IJPLM\IJPLMUI.EXE
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\CANONIJPLM100,DisplayName,0x00000000,%60000%
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\CANONIJPLM100,NoModify,0x00010001,0
HKLM,Software\Microsoft\Windows\CurrentVersion\Uninstall\CANONIJPLM100,NoRepair,0x00010001,1
HKLM,SYSTEM\CurrentControlSet\Services\EventLog\Application\IJPLMSVC,CategoryCount,0x00010001,1
HKLM,SYSTEM\CurrentControlSet\Services\EventLog\Application\IJPLMSVC,CategoryMessageFile,0x00020000,%16422%\Canon\IJPLM\IJPLMSVC.EXE
HKLM,SYSTEM\CurrentControlSet\Services\EventLog\Application\IJPLMSVC,EventMessageFile,0x00020000,%16422%\Canon\IJPLM\IJPLMSVC.EXE
HKLM,SYSTEM\CurrentControlSet\Services\EventLog\Application\IJPLMSVC,TypesSupported,0x00010001,4
HKLM,Software\Canon\IJPLM,UnsupportMajor,0x00010001,7
HKLM,Software\Canon\IJPLM,UnsupportMinor,0x00010001,0

[RegLib]
HKLM,Software\Canon\IJPLM,LIBRARY,0x00001000,%16422%\Canon\IJPLM\IJPLML64.DLL
HKLM,Software\Canon\IJPLM,LIBRARY,0x00004000,%16422%\Canon\IJPLM\IJPLMLIB.DLL
